# ParentSpriteToDraw Struct Reference

Parent sprite that should be drawn. More...

## Data Fields

SpriteID | image
| sprite to draw
PaletteID | pal
| palette to use
const SubSprite * | sub
| only draw a rectangular part of the sprite
int32 | x
| screen X coordinate of sprite
int32 | y
| screen Y coordinate of sprite
int32 | left
| minimal screen X coordinate of sprite (= x + sprite->x_offs), reference point for child sprites
int32 | top
| minimal screen Y coordinate of sprite (= y + sprite->y_offs), reference point for child sprites
int32 | xmin
| minimal world X coordinate of bounding box
int32 | xmax
| maximal world X coordinate of bounding box
int32 | ymin
| minimal world Y coordinate of bounding box
int32 | ymax
| maximal world Y coordinate of bounding box
int | zmin
| minimal world Z coordinate of bounding box
int | zmax
| maximal world Z coordinate of bounding box
int | first_child
| the first child to draw.
bool | comparison_done
| Used during sprite sorting: true if sprite has been compared with all other sprites.

## Detailed Description

Parent sprite that should be drawn.

Definition at line 82 of file viewport.cpp.

The documentation for this struct was generated from the following file:

- src/viewport.cpp